#!/usr/bin/make -f
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build .build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_configure:
	echo "Do nothing..."

override_dh_auto_install:
	dh_auto_install
	# remove unneeded documents installed by setup.py
	rm -rf $(CURDIR)/debian/python*-urlgrabber/usr/share/doc/urlgrabber-3*

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
